Customer channel delivery logs
Get a delivery log
Returns one delivery log using the same public shape as the list endpoint.
GET
/
deliveries
/
{publicId}
Get a delivery log
curl --request GET \
--url https://api.hookmyapp.com/deliveries/{publicId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://api.hookmyapp.com/deliveries/{publicId}"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hookmyapp.com/deliveries/{publicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicId": "wd_9X2kQm4T",
"receivedAt": "2026-07-06T12:00:00.000Z",
"sender": "14155552671",
"messageId": "wamid.HBgMOTcyNTQ1NDM0Mzg0FQIAEhgg",
"meta": {
"object": "whatsapp_business_account",
"entry": [
{
"id": "123456789",
"changes": []
}
]
},
"hookmyapp": {
"status": "delivered",
"statusText": "Delivered to your app",
"destination": {
"type": "webhook",
"url": "https://example.com/webhooks/meta"
},
"appResponse": {
"status": 200,
"durationMs": 123,
"body": {
"ok": true
}
}
}
}{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Authorizations
Authorization: Bearer hmok_... API key or a dashboard session token
Headers
Workspace ID for the request
Pattern:
^ws_[A-Za-z0-9]{8}$Path Parameters
Delivery log public ID from the list endpoint.
Pattern:
^wd_[A-Za-z0-9]+$Response
Delivery log
Delivery log ID. Use it with GET /deliveries/{publicId}.
Pattern:
^wd_[A-Za-z0-9]+$Meta webhook payload received for this event.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get a delivery log
